Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707428 - media-video/motion-4.3.1: stabilisation (was: fails to build with -fno-common or gcc-10)
Summary: media-video/motion-4.3.1: stabilisation (was: fails to build with -fno-common...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Hans Fernhout
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: -fno-common 740618
  Show dependency tree
 
Reported: 2020-01-30 19:11 UTC by Toralf Förster
Modified: 2020-11-02 08:17 UTC (History)
3 users (show)

See Also:
Package list:
media-video/motion-4.3.1
Runtime testing required: ---
nattka: sanity-check+


Attachments
emerge-info.txt (emerge-info.txt,16.50 KB, text/plain)
2020-01-30 19:11 UTC, Toralf Förster
no flags Details
emerge-history.txt (emerge-history.txt,255.13 KB, text/plain)
2020-01-30 19:11 UTC, Toralf Förster
no flags Details
environment (environment,85.46 KB, text/plain)
2020-01-30 19:11 UTC, Toralf Förster
no flags Details
etc.portage.tbz2 (etc.portage.tbz2,18.02 KB, application/x-bzip)
2020-01-30 19:11 UTC, Toralf Förster
no flags Details
logs.tbz2 (logs.tbz2,5.66 KB, application/x-bzip)
2020-01-30 19:11 UTC, Toralf Förster
no flags Details
media-video:motion-4.1.1-r1:20200130-022418.log (media-video:motion-4.1.1-r1:20200130-022418.log,30.77 KB, text/plain)
2020-01-30 19:11 UTC, Toralf Förster
no flags Details
temp.tbz2 (temp.tbz2,24.83 KB, application/x-bzip)
2020-01-30 19:11 UTC, Toralf Förster
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:11:14 UTC
Linking Motion...
--------------------------------------------------------------------------------
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed -o motion motion.o logger.o conf.o draw.o jpegutils.o video_loopback.o video_v4l2.o video_common.o video_bktr.o netcam.o netcam_http.o netcam_ftp.o netcam_jpeg.o netcam_wget.o track.o alg.o event.o picture.o rotate.o webhttpd.o stream.o md5.o netcam_rtsp.o ffmpeg.o  -lm  -pthread -ljpeg   
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: logger.o:(.bss+0x0): multiple definition of `caps'; motion.o:(.bss+0x4c): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: conf.o:(.bss+0x0): multiple definition of `caps'; motion.o:(.bss+0x4c): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 01:26:20 +0000

emerge -qpvO media-video/motion
[ebuild  N    ] media-video/motion-4.1.1-r1  USE="-ffmpeg -libav (-mmal) -mysql -postgres -sqlite -v4l -webp"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:11:17 UTC
Created attachment 608850 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:11:20 UTC
Created attachment 608852 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:11:23 UTC
Created attachment 608854 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:11:26 UTC
Created attachment 608856 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:11:29 UTC
Created attachment 608858 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:11:33 UTC
Created attachment 608860 [details]
media-video:motion-4.1.1-r1:20200130-022418.log
Comment 7 Toralf Förster gentoo-dev 2020-01-30 19:11:35 UTC
Created attachment 608862 [details]
temp.tbz2
Comment 8 Hans Fernhout 2020-06-04 17:26:58 UTC
This is resolved upstream in motion-4.3.1, which is now available in portage, in the testing branch.
Comment 9 Sam James archtester gentoo-dev Security 2020-10-31 05:53:25 UTC
(In reply to Hans Fernhout from comment #8)
> This is resolved upstream in motion-4.3.1, which is now available in
> portage, in the testing branch.

Thanks!
Comment 10 Thomas Deutschmann gentoo-dev Security 2020-10-31 16:42:21 UTC
x86 stable
Comment 11 Sam James archtester gentoo-dev Security 2020-11-02 08:17:30 UTC
amd64 done

all arches done